Skip to main content

Search customers

GET 

/customers/search

Search customers.

Authorization Action:

pay:customers:list

Request

Query Parameters

    query stringrequired
    expand string[]
    limit number

    Possible values: >= 1 and <= 100

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    page string

    A cursor for pagination across multiple pages of results.

Responses

Schema
    data object[]required
  • Array [
  • address object

    The customer's address.

    citystring
    countrystring

    Two-letter country code (ISO 3166-1 alpha-2).

    line1string

    Address line 1 (e.g., street, block, PO Box, or company name).

    line2string

    Address line 2 (e.g., apartment, suite, unit, or building).

    postal_codestring

    ZIP or postal code.

    statestring

    State, county, province, prefecture, or region.

    delinquentbooleanrequired

    When the customer's latest invoice is billed by charging automatically, delinquent is true if the invoice's latest charge failed. When the customer's latest invoice is billed by sending an invoice, delinquent is true if the invoice isn't paid by its due date.

    emailstring

    The customer's email address.

    namestring

    The customer's full name or business name.

    phonestring

    The customer's phone number.

    subscriptionsobject

    The customer's current subscriptions, if any.

    idstringrequired

    Unique identifier for the object.

    creatednumberrequired

    Time at which the object was created. Measured in seconds since the Unix epoch.

  • ]
  • has_morebooleanrequired
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://connhex.com/customers/search");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Parameters
— queryrequired
— query
— query
— query